psd\_tools\.constants
=====================

.. automodule:: psd_tools.constants

BlendMode
---------

.. autoclass:: psd_tools.constants.BlendMode
    :members:
    :undoc-members:

ChannelID
---------

.. autoclass:: psd_tools.constants.ChannelID
    :members:
    :undoc-members:

Clipping
--------

.. autoclass:: psd_tools.constants.Clipping
    :members:
    :undoc-members:

ColorMode
---------

.. autoclass:: psd_tools.constants.ColorMode
    :members:
    :undoc-members:

ColorSpaceID
------------

.. autoclass:: psd_tools.constants.ColorSpaceID
    :members:
    :undoc-members:

Compression
-----------

.. autoclass:: psd_tools.constants.Compression
    :members:
    :undoc-members:

EffectOSType
------------

.. autoclass:: psd_tools.constants.EffectOSType
    :members:
    :undoc-members:

GlobalLayerMaskKind
-------------------

.. autoclass:: psd_tools.constants.GlobalLayerMaskKind
    :members:
    :undoc-members:

LinkedLayerType
---------------

.. autoclass:: psd_tools.constants.LinkedLayerType
    :members:
    :undoc-members:

PathResourceID
--------------

.. autoclass:: psd_tools.constants.PathResourceID
    :members:
    :undoc-members:

PlacedLayerType
---------------

.. autoclass:: psd_tools.constants.PlacedLayerType
    :members:
    :undoc-members:

PrintScaleStyle
---------------

.. autoclass:: psd_tools.constants.PrintScaleStyle
    :members:
    :undoc-members:

Resource
--------

.. autoclass:: psd_tools.constants.Resource
    :members:
    :undoc-members:

SectionDivider
--------------

.. autoclass:: psd_tools.constants.SectionDivider
    :members:
    :undoc-members:

Tag
---

.. autoclass:: psd_tools.constants.Tag
    :members:
    :undoc-members:

TextType
--------

.. autoclass:: psd_tools.constants.TextType
    :members:
    :undoc-members:
